// Code generated by protoc-gen-go. DO NOT EDIT.
// source: stock_command.proto

package proto_buffer

import (
	context "context"
	fmt "fmt"
	proto "github.com/golang/protobuf/proto"
	timestamp "github.com/golang/protobuf/ptypes/timestamp"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
	math "math"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion3 // please upgrade the proto package

type Error struct {
	Error                string   `protobuf:"bytes,1,opt,name=error,proto3" json:"error,omitempty"`
	Code                 int64    `protobuf:"varint,2,opt,name=code,proto3" json:"code,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *Error) Reset()         { *m = Error{} }
func (m *Error) String() string { return proto.CompactTextString(m) }
func (*Error) ProtoMessage()    {}
func (*Error) Descriptor() ([]byte, []int) {
	return fileDescriptor_faa921ddb5ba32c2, []int{0}
}

func (m *Error) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Error.Unmarshal(m, b)
}
func (m *Error) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Error.Marshal(b, m, deterministic)
}
func (m *Error) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Error.Merge(m, src)
}
func (m *Error) XXX_Size() int {
	return xxx_messageInfo_Error.Size(m)
}
func (m *Error) XXX_DiscardUnknown() {
	xxx_messageInfo_Error.DiscardUnknown(m)
}

var xxx_messageInfo_Error proto.InternalMessageInfo

func (m *Error) GetError() string {
	if m != nil {
		return m.Error
	}
	return ""
}

func (m *Error) GetCode() int64 {
	if m != nil {
		return m.Code
	}
	return 0
}

type CreateStockRequest struct {
	PhysicalQuantity     int64    `protobuf:"varint,1,opt,name=physicalQuantity,proto3" json:"physicalQuantity,omitempty"`
	VirtualQuantity      int64    `protobuf:"varint,2,opt,name=virtualQuantity,proto3" json:"virtualQuantity,omitempty"`
	ProductId            string   `protobuf:"bytes,3,opt,name=productId,proto3" json:"productId,omitempty"`
	DamagedQuantity      int64    `protobuf:"varint,4,opt,name=damagedQuantity,proto3" json:"damagedQuantity,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *CreateStockRequest) Reset()         { *m = CreateStockRequest{} }
func (m *CreateStockRequest) String() string { return proto.CompactTextString(m) }
func (*CreateStockRequest) ProtoMessage()    {}
func (*CreateStockRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_faa921ddb5ba32c2, []int{1}
}

func (m *CreateStockRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_CreateStockRequest.Unmarshal(m, b)
}
func (m *CreateStockRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_CreateStockRequest.Marshal(b, m, deterministic)
}
func (m *CreateStockRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_CreateStockRequest.Merge(m, src)
}
func (m *CreateStockRequest) XXX_Size() int {
	return xxx_messageInfo_CreateStockRequest.Size(m)
}
func (m *CreateStockRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_CreateStockRequest.DiscardUnknown(m)
}

var xxx_messageInfo_CreateStockRequest proto.InternalMessageInfo

func (m *CreateStockRequest) GetPhysicalQuantity() int64 {
	if m != nil {
		return m.PhysicalQuantity
	}
	return 0
}

func (m *CreateStockRequest) GetVirtualQuantity() int64 {
	if m != nil {
		return m.VirtualQuantity
	}
	return 0
}

func (m *CreateStockRequest) GetProductId() string {
	if m != nil {
		return m.ProductId
	}
	return ""
}

func (m *CreateStockRequest) GetDamagedQuantity() int64 {
	if m != nil {
		return m.DamagedQuantity
	}
	return 0
}

type UpdateStockRequest struct {
	Uuid                 string               `protobuf:"bytes,1,opt,name=uuid,proto3" json:"uuid,omitempty"`
	PhysicalQuantity     int64                `protobuf:"varint,2,opt,name=physicalQuantity,proto3" json:"physicalQuantity,omitempty"`
	VirtualQuantity      int64                `protobuf:"varint,3,opt,name=virtualQuantity,proto3" json:"virtualQuantity,omitempty"`
	ProductId            string               `protobuf:"bytes,4,opt,name=productId,proto3" json:"productId,omitempty"`
	DamagedQuantity      int64                `protobuf:"varint,5,opt,name=damagedQuantity,proto3" json:"damagedQuantity,omitempty"`
	UpdateAt             *timestamp.Timestamp `protobuf:"bytes,6,opt,name=update_at,json=updateAt,proto3" json:"update_at,omitempty"`
	XXX_NoUnkeyedLiteral struct{}             `json:"-"`
	XXX_unrecognized     []byte               `json:"-"`
	XXX_sizecache        int32                `json:"-"`
}

func (m *UpdateStockRequest) Reset()         { *m = UpdateStockRequest{} }
func (m *UpdateStockRequest) String() string { return proto.CompactTextString(m) }
func (*UpdateStockRequest) ProtoMessage()    {}
func (*UpdateStockRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_faa921ddb5ba32c2, []int{2}
}

func (m *UpdateStockRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_UpdateStockRequest.Unmarshal(m, b)
}
func (m *UpdateStockRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_UpdateStockRequest.Marshal(b, m, deterministic)
}
func (m *UpdateStockRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_UpdateStockRequest.Merge(m, src)
}
func (m *UpdateStockRequest) XXX_Size() int {
	return xxx_messageInfo_UpdateStockRequest.Size(m)
}
func (m *UpdateStockRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_UpdateStockRequest.DiscardUnknown(m)
}

var xxx_messageInfo_UpdateStockRequest proto.InternalMessageInfo

func (m *UpdateStockRequest) GetUuid() string {
	if m != nil {
		return m.Uuid
	}
	return ""
}

func (m *UpdateStockRequest) GetPhysicalQuantity() int64 {
	if m != nil {
		return m.PhysicalQuantity
	}
	return 0
}

func (m *UpdateStockRequest) GetVirtualQuantity() int64 {
	if m != nil {
		return m.VirtualQuantity
	}
	return 0
}

func (m *UpdateStockRequest) GetProductId() string {
	if m != nil {
		return m.ProductId
	}
	return ""
}

func (m *UpdateStockRequest) GetDamagedQuantity() int64 {
	if m != nil {
		return m.DamagedQuantity
	}
	return 0
}

func (m *UpdateStockRequest) GetUpdateAt() *timestamp.Timestamp {
	if m != nil {
		return m.UpdateAt
	}
	return nil
}

type DeleteStockRequest struct {
	Uuid                 string   `protobuf:"bytes,1,opt,name=uuid,proto3" json:"uuid,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *DeleteStockRequest) Reset()         { *m = DeleteStockRequest{} }
func (m *DeleteStockRequest) String() string { return proto.CompactTextString(m) }
func (*DeleteStockRequest) ProtoMessage()    {}
func (*DeleteStockRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_faa921ddb5ba32c2, []int{3}
}

func (m *DeleteStockRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_DeleteStockRequest.Unmarshal(m, b)
}
func (m *DeleteStockRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_DeleteStockRequest.Marshal(b, m, deterministic)
}
func (m *DeleteStockRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_DeleteStockRequest.Merge(m, src)
}
func (m *DeleteStockRequest) XXX_Size() int {
	return xxx_messageInfo_DeleteStockRequest.Size(m)
}
func (m *DeleteStockRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_DeleteStockRequest.DiscardUnknown(m)
}

var xxx_messageInfo_DeleteStockRequest proto.InternalMessageInfo

func (m *DeleteStockRequest) GetUuid() string {
	if m != nil {
		return m.Uuid
	}
	return ""
}

type CreateStockResponse struct {
	Message              string   `protobuf:"bytes,1,opt,name=message,proto3" json:"message,omitempty"`
	Error                *Error   `protobuf:"bytes,2,opt,name=error,proto3" json:"error,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *CreateStockResponse) Reset()         { *m = CreateStockResponse{} }
func (m *CreateStockResponse) String() string { return proto.CompactTextString(m) }
func (*CreateStockResponse) ProtoMessage()    {}
func (*CreateStockResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_faa921ddb5ba32c2, []int{4}
}

func (m *CreateStockResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_CreateStockResponse.Unmarshal(m, b)
}
func (m *CreateStockResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_CreateStockResponse.Marshal(b, m, deterministic)
}
func (m *CreateStockResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_CreateStockResponse.Merge(m, src)
}
func (m *CreateStockResponse) XXX_Size() int {
	return xxx_messageInfo_CreateStockResponse.Size(m)
}
func (m *CreateStockResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_CreateStockResponse.DiscardUnknown(m)
}

var xxx_messageInfo_CreateStockResponse proto.InternalMessageInfo

func (m *CreateStockResponse) GetMessage() string {
	if m != nil {
		return m.Message
	}
	return ""
}

func (m *CreateStockResponse) GetError() *Error {
	if m != nil {
		return m.Error
	}
	return nil
}

type UpdateStockResponse struct {
	Message              string   `protobuf:"bytes,1,opt,name=message,proto3" json:"message,omitempty"`
	Error                *Error   `protobuf:"bytes,2,opt,name=error,proto3" json:"error,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *UpdateStockResponse) Reset()         { *m = UpdateStockResponse{} }
func (m *UpdateStockResponse) String() string { return proto.CompactTextString(m) }
func (*UpdateStockResponse) ProtoMessage()    {}
func (*UpdateStockResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_faa921ddb5ba32c2, []int{5}
}

func (m *UpdateStockResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_UpdateStockResponse.Unmarshal(m, b)
}
func (m *UpdateStockResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_UpdateStockResponse.Marshal(b, m, deterministic)
}
func (m *UpdateStockResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_UpdateStockResponse.Merge(m, src)
}
func (m *UpdateStockResponse) XXX_Size() int {
	return xxx_messageInfo_UpdateStockResponse.Size(m)
}
func (m *UpdateStockResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_UpdateStockResponse.DiscardUnknown(m)
}

var xxx_messageInfo_UpdateStockResponse proto.InternalMessageInfo

func (m *UpdateStockResponse) GetMessage() string {
	if m != nil {
		return m.Message
	}
	return ""
}

func (m *UpdateStockResponse) GetError() *Error {
	if m != nil {
		return m.Error
	}
	return nil
}

type DeleteStockResponse struct {
	Message              string   `protobuf:"bytes,1,opt,name=message,proto3" json:"message,omitempty"`
	Error                *Error   `protobuf:"bytes,2,opt,name=error,proto3" json:"error,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *DeleteStockResponse) Reset()         { *m = DeleteStockResponse{} }
func (m *DeleteStockResponse) String() string { return proto.CompactTextString(m) }
func (*DeleteStockResponse) ProtoMessage()    {}
func (*DeleteStockResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_faa921ddb5ba32c2, []int{6}
}

func (m *DeleteStockResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_DeleteStockResponse.Unmarshal(m, b)
}
func (m *DeleteStockResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_DeleteStockResponse.Marshal(b, m, deterministic)
}
func (m *DeleteStockResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_DeleteStockResponse.Merge(m, src)
}
func (m *DeleteStockResponse) XXX_Size() int {
	return xxx_messageInfo_DeleteStockResponse.Size(m)
}
func (m *DeleteStockResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_DeleteStockResponse.DiscardUnknown(m)
}

var xxx_messageInfo_DeleteStockResponse proto.InternalMessageInfo

func (m *DeleteStockResponse) GetMessage() string {
	if m != nil {
		return m.Message
	}
	return ""
}

func (m *DeleteStockResponse) GetError() *Error {
	if m != nil {
		return m.Error
	}
	return nil
}

func init() {
	proto.RegisterType((*Error)(nil), "stock_command.Error")
	proto.RegisterType((*CreateStockRequest)(nil), "stock_command.CreateStockRequest")
	proto.RegisterType((*UpdateStockRequest)(nil), "stock_command.UpdateStockRequest")
	proto.RegisterType((*DeleteStockRequest)(nil), "stock_command.DeleteStockRequest")
	proto.RegisterType((*CreateStockResponse)(nil), "stock_command.CreateStockResponse")
	proto.RegisterType((*UpdateStockResponse)(nil), "stock_command.UpdateStockResponse")
	proto.RegisterType((*DeleteStockResponse)(nil), "stock_command.DeleteStockResponse")
}

func init() {
	proto.RegisterFile("stock_command.proto", fileDescriptor_faa921ddb5ba32c2)
}

var fileDescriptor_faa921ddb5ba32c2 = []byte{
	// 414 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0xac, 0x93, 0xcd, 0x8e, 0xd3, 0x30,
	0x10, 0xc7, 0x37, 0x1f, 0x2d, 0x74, 0x58, 0x3e, 0x34, 0xbb, 0x87, 0xa8, 0x42, 0xa2, 0xf8, 0x14,
	0xed, 0x21, 0x2b, 0x96, 0x03, 0x67, 0x58, 0x38, 0x70, 0x6c, 0x80, 0x0b, 0x1c, 0x2a, 0x37, 0x76,
	0x43, 0x44, 0x53, 0x07, 0x7f, 0x20, 0xf5, 0x09, 0x78, 0x1f, 0x5e, 0x10, 0x14, 0xbb, 0x01, 0x12,
	0x47, 0xd0, 0x43, 0x6f, 0x9e, 0xf1, 0xe4, 0xe7, 0xf9, 0xcf, 0xfc, 0x03, 0x17, 0x4a, 0x8b, 0xe2,
	0xcb, 0xaa, 0x10, 0x75, 0x4d, 0x77, 0x2c, 0x6b, 0xa4, 0xd0, 0x02, 0xef, 0xf7, 0x92, 0xf3, 0x27,
	0xa5, 0x10, 0xe5, 0x96, 0x5f, 0xdb, 0xcb, 0xb5, 0xd9, 0x5c, 0xeb, 0xaa, 0xe6, 0x4a, 0xd3, 0xba,
	0x71, 0xf5, 0xe4, 0x19, 0x4c, 0xde, 0x48, 0x29, 0x24, 0x5e, 0xc2, 0x84, 0xb7, 0x87, 0x24, 0x58,
	0x04, 0xe9, 0x2c, 0x77, 0x01, 0x22, 0xc4, 0x85, 0x60, 0x3c, 0x09, 0x17, 0x41, 0x1a, 0xe5, 0xf6,
	0x4c, 0x7e, 0x04, 0x80, 0xb7, 0x92, 0x53, 0xcd, 0xdf, 0xb5, 0x6f, 0xe5, 0xfc, 0xab, 0xe1, 0x4a,
	0xe3, 0x15, 0x3c, 0x6a, 0x3e, 0xef, 0x55, 0x55, 0xd0, 0xed, 0xd2, 0xd0, 0x9d, 0xae, 0xf4, 0xde,
	0xb2, 0xa2, 0xdc, 0xcb, 0x63, 0x0a, 0x0f, 0xbf, 0x55, 0x52, 0x9b, 0xbf, 0x4a, 0xdd, 0x0b, 0xc3,
	0x34, 0x3e, 0x86, 0x59, 0x23, 0x05, 0x33, 0x85, 0x7e, 0xcb, 0x92, 0xc8, 0xb6, 0xf6, 0x27, 0xd1,
	0x72, 0x18, 0xad, 0x69, 0xc9, 0xd9, 0x6f, 0x4e, 0xec, 0x38, 0x83, 0x34, 0xf9, 0x19, 0x00, 0x7e,
	0x68, 0xd8, 0xb0, 0x69, 0x84, 0xd8, 0x98, 0x8a, 0x1d, 0x44, 0xdb, 0xf3, 0xa8, 0x90, 0xf0, 0x78,
	0x21, 0xd1, 0x11, 0x42, 0xe2, 0x23, 0x84, 0x4c, 0x46, 0x85, 0xe0, 0x0b, 0x98, 0x19, 0xab, 0x63,
	0x45, 0x75, 0x32, 0x5d, 0x04, 0xe9, 0xbd, 0x9b, 0x79, 0xe6, 0xb6, 0x9c, 0x75, 0x5b, 0xce, 0xde,
	0x77, 0x5b, 0xce, 0xef, 0xba, 0xe2, 0x97, 0x9a, 0xa4, 0x80, 0xaf, 0xf9, 0x96, 0xff, 0x7f, 0x00,
	0xe4, 0x13, 0x5c, 0xf4, 0xf6, 0xab, 0x1a, 0xb1, 0x53, 0x1c, 0x13, 0xb8, 0x53, 0x73, 0xa5, 0x68,
	0xc9, 0x0f, 0xd5, 0x5d, 0x88, 0x57, 0x9d, 0x77, 0x42, 0xdb, 0xcf, 0x65, 0xd6, 0x77, 0xa6, 0x35,
	0xd8, 0xc1, 0x51, 0x2d, 0xbc, 0xb7, 0x87, 0x53, 0xc3, 0x7b, 0x1a, 0x4f, 0x09, 0xbf, 0xf9, 0x1e,
	0xc2, 0xb9, 0xe5, 0xde, 0xba, 0x5b, 0x5c, 0xc2, 0xd4, 0xcd, 0x09, 0x9f, 0x0e, 0xbe, 0xf3, 0x7f,
	0x8f, 0x39, 0xf9, 0x57, 0x89, 0xeb, 0x93, 0x9c, 0xb5, 0x48, 0x37, 0x1d, 0x0f, 0xe9, 0x9b, 0xd7,
	0x43, 0x8e, 0xcc, 0xd5, 0x21, 0xdd, 0x4c, 0x3c, 0xa4, 0x6f, 0x07, 0x0f, 0x39, 0x32, 0x4d, 0x72,
	0xf6, 0xea, 0xc1, 0xc7, 0x73, 0x6b, 0xb5, 0xd5, 0xda, 0x6c, 0x36, 0x5c, 0xae, 0xa7, 0x36, 0x7a,
	0xfe, 0x2b, 0x00, 0x00, 0xff, 0xff, 0xbe, 0xea, 0x56, 0x64, 0x92, 0x04, 0x00, 0x00,
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConnInterface

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion6

// StockCommandClient is the client API for StockCommand service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
type StockCommandClient interface {
	Create(ctx context.Context, in *CreateStockRequest, opts ...grpc.CallOption) (*CreateStockResponse, error)
	Update(ctx context.Context, in *UpdateStockRequest, opts ...grpc.CallOption) (*UpdateStockResponse, error)
	Delete(ctx context.Context, in *DeleteStockRequest, opts ...grpc.CallOption) (*DeleteStockResponse, error)
}

type stockCommandClient struct {
	cc grpc.ClientConnInterface
}

func NewStockCommandClient(cc grpc.ClientConnInterface) StockCommandClient {
	return &stockCommandClient{cc}
}

func (c *stockCommandClient) Create(ctx context.Context, in *CreateStockRequest, opts ...grpc.CallOption) (*CreateStockResponse, error) {
	out := new(CreateStockResponse)
	err := c.cc.Invoke(ctx, "/stock_command.StockCommand/Create", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *stockCommandClient) Update(ctx context.Context, in *UpdateStockRequest, opts ...grpc.CallOption) (*UpdateStockResponse, error) {
	out := new(UpdateStockResponse)
	err := c.cc.Invoke(ctx, "/stock_command.StockCommand/Update", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *stockCommandClient) Delete(ctx context.Context, in *DeleteStockRequest, opts ...grpc.CallOption) (*DeleteStockResponse, error) {
	out := new(DeleteStockResponse)
	err := c.cc.Invoke(ctx, "/stock_command.StockCommand/Delete", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// StockCommandServer is the server API for StockCommand service.
type StockCommandServer interface {
	Create(context.Context, *CreateStockRequest) (*CreateStockResponse, error)
	Update(context.Context, *UpdateStockRequest) (*UpdateStockResponse, error)
	Delete(context.Context, *DeleteStockRequest) (*DeleteStockResponse, error)
}

// UnimplementedStockCommandServer can be embedded to have forward compatible implementations.
type UnimplementedStockCommandServer struct {
}

func (*UnimplementedStockCommandServer) Create(ctx context.Context, req *CreateStockRequest) (*CreateStockResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Create not implemented")
}
func (*UnimplementedStockCommandServer) Update(ctx context.Context, req *UpdateStockRequest) (*UpdateStockResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Update not implemented")
}
func (*UnimplementedStockCommandServer) Delete(ctx context.Context, req *DeleteStockRequest) (*DeleteStockResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Delete not implemented")
}

func RegisterStockCommandServer(s *grpc.Server, srv StockCommandServer) {
	s.RegisterService(&_StockCommand_serviceDesc, srv)
}

func _StockCommand_Create_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(CreateStockRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(StockCommandServer).Create(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/stock_command.StockCommand/Create",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(StockCommandServer).Create(ctx, req.(*CreateStockRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _StockCommand_Update_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(UpdateStockRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(StockCommandServer).Update(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/stock_command.StockCommand/Update",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(StockCommandServer).Update(ctx, req.(*UpdateStockRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _StockCommand_Delete_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(DeleteStockRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(StockCommandServer).Delete(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/stock_command.StockCommand/Delete",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(StockCommandServer).Delete(ctx, req.(*DeleteStockRequest))
	}
	return interceptor(ctx, in, info, handler)
}

var _StockCommand_serviceDesc = grpc.ServiceDesc{
	ServiceName: "stock_command.StockCommand",
	HandlerType: (*StockCommandServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "Create",
			Handler:    _StockCommand_Create_Handler,
		},
		{
			MethodName: "Update",
			Handler:    _StockCommand_Update_Handler,
		},
		{
			MethodName: "Delete",
			Handler:    _StockCommand_Delete_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "stock_command.proto",
}
